> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GPT Image 1.5 Image Generation Beta

> - GPT Image 1.5 (gpt-image-1.5-beta) model supports text-to-image, image-to-image, and image editing modes
- Asynchronous processing mode, use the returned task ID to [query status](/en/api-manual/task-management/get-task-detail)
- Generated image links are valid for 24 hours, please save them promptly



## OpenAPI

````yaml /en/api-manual/image-series/gpt-image-1.5/gpt-image-1.5-lite-image-generation.json POST /v1/images/generations
openapi: 3.1.0
info:
  title: gpt-image-1.5-beta API
  description: >-
    Create image tasks using AI models with support for multiple models and
    parameter configurations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Image Generation
    description: AI image generation APIs
paths:
  /v1/images/generations:
    post:
      tags:
        - Image Generation
      summary: gpt-image-1.5-beta API
      description: >-
        - GPT Image 1.5 (gpt-image-1.5-beta) model supports text-to-image,
        image-to-image, and image editing modes

        - Asynchronous processing mode, use the returned task ID to [query
        status](/en/api-manual/task-management/get-task-detail)

        - Generated image links are valid for 24 hours, please save them
        promptly
      operationId: createImageGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageGenerationRequest'
            examples:
              text_to_image:
                summary: Text to Image
                value:
                  model: gpt-image-1.5-beta
                  prompt: A beautiful colorful sunset over the ocean
      responses:
        '200':
          description: Image task created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageGenerationResponse'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: Unauthenticated, invalid or expired token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: Insufficient quota, recharge required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: 'Token does not have access to model: gpt-image-1.5-beta'
                  type: invalid_request_error
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    ImageGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: >-
            Image generation model name


            **Backward Compatible:** The previously integrated model name
            `gpt-image-1.5-lite` is still supported and will be automatically
            mapped to `gpt-image-1.5-beta`
          enum:
            - gpt-image-1.5-beta
          default: gpt-image-1.5-beta
          example: gpt-image-1.5-beta
        prompt:
          type: string
          description: >-
            Prompt describing the image you want to generate, or describing how
            to edit the input image. Limited to 2000 tokens
          example: A beautiful colorful sunset over the ocean
          maxLength: 2000
        size:
          type: string
          description: |-
            Size of the generated image, supports two formats:

            **Aspect Ratio Format:**
            - `1:1`: Square
            - `2:3`: Portrait
            - `3:2`: Landscape

            **Pixel Format:**
            - `1024x1024`: Square
            - `1024x1536`: Portrait
            - `1536x1024`: Landscape
          enum:
            - '1:1'
            - '2:3'
            - '3:2'
            - 1024x1024
            - 1024x1536
            - 1536x1024
          example: 1024x1024
        quality:
          type: string
          description: |-
            Quality of the generated image

            **Supported quality levels:**
            - `low`: Low quality, faster generation
            - `medium`: Medium quality
            - `high`: High quality, slower generation
            - `auto`: Automatic selection (default)
          enum:
            - low
            - medium
            - high
            - auto
          default: auto
          example: auto
        image_urls:
          type: array
          description: >-
            Reference image URL list for image-to-image and image editing
            features


            **Notes:**

            - Supports `1~16` images per request

            - Maximum size per image: `50MB`

            - Supported formats: `.jpeg`, `.jpg`, `.png`, `.webp`

            - Image URLs must be directly accessible by the server, or URLs that
            trigger direct download (typically URLs ending with image extensions
            like `.png`, `.jpg`)
          items:
            type: string
            format: uri
          example:
            - https://example.com/image1.png
            - https://example.com/image2.png
        'n':
          type: integer
          description: Number of images to generate, currently only supports `1`
          enum:
            - 1
          default: 1
          example: 1
        callback_url:
          type: string
          description: >-
            HTTPS callback URL for task completion


            **Callback Timing:**

            - Triggered when task is completed, failed, or cancelled

            - Sent after billing confirmation


            **Security Restrictions:**

            - HTTPS protocol only

            - Internal IP addresses are prohibited (127.0.0.1, 10.x.x.x,
            172.16-31.x.x, 192.168.x.x, etc.)

            - URL length must not exceed `2048` characters


            **Callback Mechanism:**

            - Timeout: `10` seconds

            - Maximum `3` retries after failure (at `1`/`2`/`4` seconds after
            failure)

            - Callback response format is consistent with task query API

            - 2xx status code is considered successful, other codes trigger
            retry
          format: uri
          example: https://your-domain.com/webhooks/image-task-completed
    ImageGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: Task creation timestamp
          example: 1757156493
        id:
          type: string
          description: Task ID
          example: task-unified-1757156493-imcg5zqt
        model:
          type: string
          description: Actual model name used
          example: gpt-image-1.5-beta
        object:
          type: string
          enum:
            - image.generation.task
          description: Task object type
        progress:
          type: integer
          description: Task progress percentage (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: Task status
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/TaskInfo'
          description: Async task information
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: Task output type
          example: image
        usage:
          $ref: '#/components/schemas/Usage'
          description: Usage and billing information
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: Error code identifier
            message:
              type: string
              description: Error description
            type:
              type: string
              description: Error type
    TaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: Whether the task can be cancelled
          example: true
        estimated_time:
          type: integer
          description: Estimated completion time (seconds)
          minimum: 0
          example: 100
    Usage:
      type: object
      description: Usage and billing information
      properties:
        billing_rule:
          type: string
          description: Billing rule
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: Estimated credits consumption
          minimum: 0
          example: 2.5
        user_group:
          type: string
          description: User group category
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        ## All APIs require Bearer Token authentication ##


        **Get API Key:**


        Visit [API Key Management Page](https://evolink.ai/dashboard/keys) to
        get your API Key


        **Add to request header:**

        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````